Bug 857030 - perl-IPC-Run needs explicit require for perl-IO-Pty
perl-IPC-Run needs explicit require for perl-IO-Pty
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-IPC-Run (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 08:18 EDT by Petr Pisar
Modified: 2012-09-26 05:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 856840
Environment:
Last Closed: 2012-09-17 19:10:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-09-13 08:18:05 EDT
+++ This bug was initially created as a clone of Bug #856840 +++

Created attachment 612286 [details]
Perl script which calls IPC::Run::harness

Description of problem:
Line 1906 of /usr/share/perl5/vendor_perl/IPC/Run.pm contains "require IO::Pty;" but this module is not required by the perl-IPC-Run package.  The module is used by IPC::Run::harness.


Version-Release number of selected component (if applicable):
0.84-2

How reproducible:
Always

Steps to Reproduce:
1. Remove the perl-IO-Tty package if installed
2. Install perl-IPC-Run if absent
3. Run the attached test script
  
Actual results:
Can't locate IO/Pty.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/IPC/Run.pm line 1906.

[...]
--- Additional comment from ppisar@redhat.com on 2012-09-13 11:58:37 GMT ---

Thank you for the report. Indeed, the package is missing `perl(IO::Pty)' from run-requires:

# rpm -q --requires perl-IPC-Run | sort
perl(Carp)  
perl(constant)  
perl(Exporter)  
perl(Fcntl)  
perl(File::Spec)  
perl(IO::Handle)  
perl(IPC::Run)  
perl(IPC::Run::Debug)  
perl(IPC::Run::IO)  
perl(IPC::Run::Timer)  
perl(:MODULE_COMPAT_5.10.1)  
perl(POSIX)  
perl(strict)  
perl(Symbol)  
perl(UNIVERSAL)  
perl(vars)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rpmlib(VersionedDependencies) <= 3.0.3-1
-------

All Fedoras are affected.
Comment 1 Fedora Update System 2012-09-13 08:33:39 EDT
perl-IPC-Run-0.89-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-IPC-Run-0.89-9.fc18
Comment 2 Fedora Update System 2012-09-13 08:35:09 EDT
perl-IPC-Run-0.89-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-IPC-Run-0.89-7.fc17
Comment 3 Fedora Update System 2012-09-13 08:37:35 EDT
perl-IPC-Run-0.89-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-IPC-Run-0.89-6.fc16
Comment 4 Fedora Update System 2012-09-13 12:46:54 EDT
Package perl-IPC-Run-0.89-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-IPC-Run-0.89-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13925/perl-IPC-Run-0.89-9.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-17 19:10:52 EDT
perl-IPC-Run-0.89-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-09-26 05:02:13 EDT
perl-IPC-Run-0.89-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-26 05:17:40 EDT
perl-IPC-Run-0.89-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.